Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceLabel

All Superinterfaces:
  IUserInterfaceControl, IUserInterfaceNode

Deprecated. This class is only supported for DHTML UIs Implemented by user interface objects that provide capabilities needed by functional companions to interact with labels. Oracle Configurator Runtime Behavior:

public interface IUserInterfaceLabel
extends IUserInterfaceControl

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`BOM_CONTROL, BUTTON, CHECK_BOX, COMBO_BOX, CONNECT_OPTION, CONNECTOR, CONNECTOR_LIST, DECIMAL_FIELD, IMAGE, INTEGER_FIELD, LABEL, LOGIC_COUNT_BOX, MODEL_INSTANCE, MODEL_INSTANCES_BOX, OPTION, RESOURCE_FIELD, SCREEN, SELECTION_LIST, SELECTION_LIST_MUTEX, TARGET_COMPONENT, TEXT_FIELD, TOTAL_FIELD, TREELINK, UINODE`

Method Summary
`void` | `setUiCaption(java.lang.String caption)` Deprecated. Sets the caption to be displayed by the label.

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceControl
`getDisableFlag, getHiddenFlag, getScreen, isEnabled, isVisible, setDisableFlag, setHiddenFlag`

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`getName, getRuntimeNode, getType, getUiCaption`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### setUiCaption

    public void setUiCaption(java.lang.String caption)

  Deprecated.
  Sets the caption to be displayed by the label. The image name can be null. Oracle Configurator Runtime Behavior: If null is passed as the argument the runtime will send "" to the client. The label control will still be displayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.